import { BaseCacheDevice } from './BaseCacheDevice';
export declare class FileCacheDevice extends BaseCacheDevice {
    private filePath;
    private useFileCache;
    constructor(useFileCache: boolean | undefined, filePath: string);
    private readFileFromDevice;
    get(key: string): string | undefined;
    set(key: string, value: string): void;
    serialize(): Record<string, string>;
}
